<script setup>
const props = defineProps({
  level: {
    type: String,
    default: 'h1',
    validator: (value) => ['h1', 'h2', 'h3', 'h4', 'h5', 'h6'].includes(value),
  },

  position: {
    type: String,
    default: 'left',
    validator: (value) => ['left', 'right', 'center'].includes(value),
  },

  quoteColor: {
    type: String,
    default: 'text-las-orange dark:text-las-d-orange',
  },

  quoteLeft: { type: Boolean, default: false },

  quoteRight: { type: Boolean, default: false },
});
</script>

<template>
  <component
    :is="props.level"
    :class="[
      'text-2xl',
      'uppercase',
      'flex',
      'text-center',
      'h-12',
      'mb-8',
      { 'justify-start': props.position === 'left' },
      { 'justify-center': props.position === 'center' },
      { 'justify-end': props.position === 'right' },
    ]"
  >
    <IconsQuotationMarks
      v-if="props.quoteLeft"
      :class="[props.quoteColor, 'shrink-0', 'mr-4']"
    />

    <span class="self-end font-cream">
      <slot />
    </span>

    <IconsQuotationMarks
      v-if="props.quoteRight"
      :class="[props.quoteColor, 'shrink-0', 'ml-4']"
    />
  </component>
</template>
